Subject: Re: [BUG][3.10.15] reading from /proc/sys/net/netfilter/nf_log/*

From: Gao feng <[email-masked]>
Date: Thu, 19 Dec 2013 10:09:48 +0800

On 12/19/2013 05:11 AM, Steven Rostedt wrote:
> On Wed, 18 Dec 2013 22:08:17 +0100
> Florian Westphal <[email-masked]> wrote:
> 
>> Steven Rostedt <[email-masked]> wrote:
>>> On Mon, 16 Dec 2013 14:55:50 +0800
>>> Gao feng <[email-masked]> wrote:
>>>> On 12/14/2013 11:10 PM, Steven Rostedt wrote:
>> [..]
>>>>> BUG: unable to handle kernel paging request at ffffffffa06189f0 
>>>>> IP: [<ffffffff814b7904>] nf_log_proc_dostring+0x94/0x1a0 
>> [..]
>>
>>>>> And after the module-load test, it crashes when reading those files.
>>>>>
>>>>
>>>> Oops, I forgot to unset the nf_loggers of net namespace when unload module nfnetlink_log.
>>>> I will send a patch, please have a try.
>>>
>>> Hi Gao,
>>>
>>> I haven't seen a patch. Was one sent?
>>
>> Yes, submitted to netfilter-devel, see http://patchwork.ozlabs.org/patch/301485/
> 
> Thanks, someone else pointed it to me on netdev list. I wasn't on the
> Cc, so I missed it.
> 

Sorry, I thought git send-mail will send the patch to the Reported-by.
but now I know, it didn't. :(